summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobert Siebeck <gentoo.bugzilla.2012@r123.de>2018-12-13 15:02:58 +0100
committerPatrice Clement <monsieurp@gentoo.org>2018-12-22 14:43:30 +0100
commit40672f1ea267a162bb4a25dfae0753c21f2241a5 (patch)
tree8257d7ddf78619f33feeb170ef59feff5fe0ebfc /net-im/signal-desktop-bin
parentmedia-libs/harfbuzz: Bump to version 2.3.0 (diff)
downloadgentoo-40672f1ea267a162bb4a25dfae0753c21f2241a5.tar.gz
gentoo-40672f1ea267a162bb4a25dfae0753c21f2241a5.tar.bz2
gentoo-40672f1ea267a162bb4a25dfae0753c21f2241a5.zip
net-im/signal-desktop-bin: add new version 1.19.0.
Signed-off-by: Robert Siebeck <gentoo.bugzilla.2012@r123.de> Closes: https://github.com/gentoo/gentoo/pull/10629 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Diffstat (limited to 'net-im/signal-desktop-bin')
-rw-r--r--net-im/signal-desktop-bin/Manifest1
-rw-r--r--net-im/signal-desktop-bin/signal-desktop-bin-1.19.0.ebuild63
2 files changed, 64 insertions, 0 deletions
diff --git a/net-im/signal-desktop-bin/Manifest b/net-im/signal-desktop-bin/Manifest
index 506101ed783..a2ce5ddfaa7 100644
--- a/net-im/signal-desktop-bin/Manifest
+++ b/net-im/signal-desktop-bin/Manifest
@@ -1,2 +1,3 @@
DIST signal-desktop_1.16.3_amd64.deb 72171054 BLAKE2B b488ba95dcd26b87582c41cc51433b46ab9dcfcce4cbe002c87e9cee5b5d07c554093aab5b9b2cae42621bcaa8c63ae2d39e4f362a77f5292bc9786b1d76e920 SHA512 62bd8b6608c48b8a57471fd9aa5d2662634697aae7e9244c841d729fe8c25f18a2362593fcc522d97adce894209c4dac9379facd1b58b1dd380bb061cd08c4a6
DIST signal-desktop_1.18.0_amd64.deb 72190608 BLAKE2B 6d2fb700a23f65d9581b65b2186d52923403a6a9f7a0613d8620f8ab34661e27ea14c7ed40d5f266ec2250228c5be39dbe94810bedc705f0ddfb0eff155aa65a SHA512 60b877130fad54e61543ccf899079c1fce28a8a4ba588a3600b3ff100f41736d046957686b7b423fc56c72761367cd3ce3c1f75b2f71f261f317e5cb0d9340cf
+DIST signal-desktop_1.19.0_amd64.deb 74293630 BLAKE2B 44b145c422b91732486d2917efbf3daed2106fbb0e7361c320e8d73aeb5fd1e0112a56594ce2b33679dc58dc94d619eb322fc68620b166a9800f093b968fd0e6 SHA512 5530a07ec91843b417c458f06b72791a0c9a84593f20074a5a19bfbb81ee5eca7eadcb8a6639f53b3e95d43b9eeb76438b4468d744ec9f71f2b88df0473422e7
diff --git a/net-im/signal-desktop-bin/signal-desktop-bin-1.19.0.ebuild b/net-im/signal-desktop-bin/signal-desktop-bin-1.19.0.ebuild
new file mode 100644
index 00000000000..e4a362f0ca5
--- /dev/null
+++ b/net-im/signal-desktop-bin/signal-desktop-bin-1.19.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MY_PN="${PN/-bin/}"
+
+inherit gnome2-utils pax-utils unpacker xdg-utils
+
+DESCRIPTION="Allows you to send and receive messages of Signal Messenger on your computer"
+HOMEPAGE="https://signal.org/
+ https://github.com/WhisperSystems/Signal-Desktop"
+SRC_URI="https://updates.signal.org/desktop/apt/pool/main/s/${MY_PN}/${MY_PN}_${PV}_amd64.deb"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+IUSE=""
+
+RDEPEND="
+ gnome-base/gconf:2
+ dev-libs/nss
+ x11-libs/gtk+:3[X]
+ x11-libs/libXScrnSaver
+ x11-libs/libXtst
+ net-print/cups
+ "
+
+QA_PREBUILT="opt/Signal/signal-desktop
+ opt/Signal/libnode.so
+ opt/Signal/libffmpeg.so"
+
+S="${WORKDIR}"
+
+src_prepare(){
+ default
+ sed -e 's|\("/opt/Signal/signal-desktop"\)|\1 --start-in-tray|g' \
+ -i usr/share/applications/signal-desktop.desktop || die
+ unpack usr/share/doc/signal-desktop/changelog.gz
+}
+
+src_install() {
+ insinto /
+ dodoc changelog
+ doins -r opt
+ insinto /usr/share
+ doins -r usr/share/applications
+ doins -r usr/share/icons
+ fperms +x /opt/Signal/signal-desktop
+ pax-mark m opt/Signal/signal-desktop
+
+ dosym ../../opt/Signal/${MY_PN} /usr/bin/${MY_PN}
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ gnome2_icon_cache_update
+}